Qt 5.7 | Qt 3D | C++ Classes | QAction

Qt 5.7.1 Reference Documentation

# QAction Class

(Qt3DInput::QAction)

Links a set of QAbstractActionInput that trigger the same event. More...

Header: | #include <QAction>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | Action
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- active : const bool

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAction(Qt3DCore::QNode *parent = nullptr)
void | addInput(QAbstractActionInput *input)
QVector<QAbstractActionInput *> | inputs() const
bool | isActive() const
void | removeInput(QAbstractActionInput *input)

- 6 public functions inherited from Qt3DCore::QNode

## Signals

void | activeChanged(bool isActive)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Links a set of QAbstractActionInput that trigger the same event.

## Property Documentation

### active : const bool

Holds `true` if the action is active.

Access functions:

bool | isActive() const

Notifier signal:

void | activeChanged(bool isActive)

## Member Function Documentation

### QAction::QAction(Qt3DCore::QNode *parent = nullptr)

Constructs a new QAction instance with parent parent.

### void QAction::addInput(QAbstractActionInput *input)

Append QAbstractActionInput input to the list of inputs that can trigger this action.

### QVector<QAbstractActionInput *> QAction::inputs() const

Returns the list of inputs that can trigger this action.

### void QAction::removeInput(QAbstractActionInput *input)

Remove QAbstractActionInput input to the list of inputs that can trigger this action.